local jkHouses = ...


local TAX_OFFCE_WORKPLACE_FUNCTION = {
    TypeName = "TAX_OFFCE_WORKPLACE_FUNCTION",
    ParentType = "BUILDING_FUNCTION_WORKPLACE",
	Properties = {
		{ Name = "IsOverrideCapacity", Type = "boolean", Default = true },
		{ Name = "SocketCapacity", Type = "integer", Default = 189 },
        { Name = "CapacityPerSlot", Type = "integer", Default = 189 },
	}
}

jkHouses:registerClass(TAX_OFFCE_WORKPLACE_FUNCTION)

jkHouses:register({
	DataType = "TAX_OFFCE_WORKPLACE_FUNCTION",
	Id = "JK_TAX_OFFICE_FUNCTION",
    Description = "XXXXXxxXXXx",
	RelatedJob = {
		Job = "TAX_COLLECTOR",
		Behavior = "MY_COLLECTOR_BEHAVIOR"
	},
    ResourceProduced = {
        { Resource = "GOLD_COINS", Quantity = 2050 } 
    }
})

jkHouses:override({
	DataType = "BUILDING_FUNCTION_LIST",
    Id = "BUILDING_FUNCTION_LIST_LORD_MANOR",
    AssetFunctionList = {
		Action = "APPEND",
		"JK_TAX_OFFICE_FUNCTION"
    }
})

-- jkHouses:override({
--     Id = "BUILDING_FUNCTION_TAX_OFFICE",
--     TaxableBuildingList = {
--         "JK_HOUSE_A",
--         "JK_HOUSE_B",
--         "JK_HOUSE_C",
--         "JK_HOUSE_D",
--         "JK_HOUSE_E",
--         "JK_HOUSE_F",
--         "JK_HOUSE_G",
--         "JK_HOUSE_H",
--         "JK_HOUSE_I",
--         "JK_HOUSE_J",
--         "JK_HOUSE_K",
--         "JK_HOUSE_L",		
--         "JK_RESIDENTIAL_AREA"
--     }
-- })

-- jkHouses:register({
-- 	DataType = "BUILDING_FUNCTION_TAX_OFFICE",
-- 	Id = "JK_TAX_OFFICE_FUNCTION",
-- 	TaxableBuildingList = {
--         "JK_HOUSE_A",
--         "JK_HOUSE_B",
--         "JK_HOUSE_C",
--         "JK_HOUSE_D",
--         "JK_HOUSE_E",
--         "JK_HOUSE_F",
--         "JK_HOUSE_G",
--         "JK_HOUSE_H",
--         "JK_HOUSE_I",
--         "JK_HOUSE_J",
--         "JK_HOUSE_K",
--         "JK_HOUSE_L",		
--         "JK_RESIDENTIAL_AREA"
--     },
-- 	DefaultTax = 6,
-- 	RelatedJob = {
-- 		Job = "TAX_COLLECTOR",
-- 		Behavior = "BEHAVIOR_WORK"
-- 	}
-- })

-- jkHouses:override({
-- 	DataType = "BUILDING_FUNCTION_LIST",
--     Id = "BUILDING_FUNCTION_LIST_LORD_MANOR",
--     AssetFunctionList = {
-- 		Action = "APPEND",
-- 		"JK_TAX_OFFICE_FUNCTION"
--     }
-- })

-- jkHouses:override({
--     Id = "BUILDING_FUNCTION_TAX_OFFICE",
--     TaxableBuildingList = {
--         "JK_HOUSE_A",
--         "JK_HOUSE_B",
--         "JK_HOUSE_C",
--         "JK_HOUSE_D",
--         "JK_HOUSE_E",
--         "JK_HOUSE_F",
--         "JK_HOUSE_G",
--         "JK_HOUSE_H",
--         "JK_HOUSE_I",
--         "JK_HOUSE_J",
--         "JK_HOUSE_K",
--         "JK_HOUSE_L",		
--         "JK_RESIDENTIAL_AREA"
--     }
-- })